Package Details: datovka 4.17.0-1

Git Clone URL: https://aur.archlinux.org/datovka.git (read-only, click to copy)
Package Base: datovka
Description: GUI application for a 'Databox' - an electronic communication interface endorsed by the Czech government
Upstream URL: https://www.datovka.cz/
Licenses: LGPL
Submitter: Dragonlord
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 20
Popularity: 0.85
First Submitted: 2012-05-08 19:50
Last Updated: 2021-05-12 09:14

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

waldauf commented on 2020-05-07 10:09

@rpodgorny: Package reinstalled but I still see the same error with libicui18n.so.65.

rpodgorny commented on 2020-05-07 09:46

@waldauf you probably need to rebuild the package

waldauf commented on 2020-05-07 09:15

There are some broken librarires:

$ datovka
datovka: error while loading shared libraries: libicui18n.so.65: cannot open shared object file: No such file or directory

I created symlink to version 67 and I got stuck on:

$ datovka
datovka: error while loading shared libraries: libicuuc.so.65: cannot open shared object file: No such file or directory

I didn't continue if there will be another problem with other libraries.

tkrizek commented on 2020-03-09 09:04

The patch is no longer needed with v4.15.0, it was fixed upstream in d2033d4. Please remove the patch from PKGBUILD. Thanks!

rpodgorny commented on 2020-02-01 13:52

thanks! cofirming a working version...

Milos.Kozina commented on 2020-01-17 20:30

Hi, @rpodgorny, @Dragonlord: I have adjusted PKGBUILD to apply mentioned patch.

Just replace lines source and sha256sums with following content except <> around URLs (I do not know, how to provide patch to PKGBUILD here, so I hope, that following way will be at least easy temporary solution, until 4.14.2 is released; I also do not know, how to format posts here in nice way). Patched package works for me.

source=(<https://secure.nic.cz/files/datove_schranky/>$pkgver/$pkgname-$pkgver.tar.xz 
    <https://gitlab.labs.nic.cz/datovka/datovka/uploads/38d47477a2bad75a6058e988cc50f08a/datovka.cpp.patch>)
sha256sums=('6676df789db928db3fb6246a196de9bcfdfb2e8ef2a6bf4912e7f02faaee364a'
        'e2cc0b97c4c2bb14e26af7893f54cd5a56b34d5e16f14dd46f188788f7b5ce3b')

prepare() {
  cd "$pkgname-$pkgver"
  patch --forward --strip=1 "src/gui/datovka.cpp" --input="${srcdir}/datovka.cpp.patch"
}

rpodgorny commented on 2020-01-17 15:27

please note the current stable version is crashing constantly. the fix is here:

https://gitlab.labs.nic.cz/datovka/datovka/uploads/38d47477a2bad75a6058e988cc50f08a/datovka.cpp.patch

please add to pkgbuild until upstream releases new (fixed) version.

more info:

https://gitlab.labs.nic.cz/datovka/datovka/issues/444#note_138420

pixelfields commented on 2019-06-12 13:20

k3a: It works, thanks!

k3a commented on 2019-06-11 18:19

pixelfields: just rebuild "libisds". This is the common issue after every new release. Maybe this ebuild should be set to somehow force libisds rebuild.. probably by just requiring a specific version of libisds (not just any as it is now)!

pixelfields commented on 2019-04-29 19:58

Guys, after the last system update I can't start the app, getting following error:

datovka: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory

Rebuilding the package doesn't seem to help. Is there something what I can do to solve it? Any advice?